For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
      • GETGet events
      • GETGet an event by ID
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
GeneralEvents

Get an event by ID

GET
/events/:event_id
GET
/v1/events/:event_id
$curl https://api.sandbox.monite.com/v1/events/event_id \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "action": "action",
4 "description": "description",
5 "entity_id": "entity_id",
6 "object_type": "account",
7 "created_at": "2024-01-15T09:30:00Z",
8 "api_version": "api_version",
9 "object": {
10 "key": "value"
11 }
12}
Get a webhook event by its ID. The data is the same as you might have previously received in a webhook sent by Monite to your server.
Was this page helpful?
Previous

Health check

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

event_idstringRequired

ID of the webhook event. This is the id value you might have received in a webhook or retrieved from GET /events.

Headers

x-monite-versionstringRequired

Response

Successful Response
idstringformat: "uuid"
actionstring
descriptionstring
entity_idstringformat: "uuid"
object_typeenum
created_atdatetime
The timestamp that was generated at the time of making the database transaction that has initially caused the event
api_versionstring
objectany

Errors

401
Get Events ID Request Unauthorized Error
422
Get Events ID Request Unprocessable Entity Error
429
Get Events ID Request Too Many Requests Error